#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	opal
Version		:	3.10.11
Release		:	14.4.0.0%{?dist}
Summary		:	Open Phone Abstraction Library (aka OpenH323 v2)
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPL V1.0
URL		:	http://downloads.sourceforge.net/opalvoip/%{name}-%{version}.tar.bz2

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-ffmpeg2-1.patch
#-----------------------------------------------------------------------------
BuildRequires	:	SDL
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	expat
BuildRequires	:	gsm-devel
BuildRequires	:	libtheora
BuildRequires	:	openssl
BuildRequires	:	openldap
BuildRequires	:	pkg-config
BuildRequires	:	ptlib-devel
BuildRequires	:	speex
BuildRequires	:	speexdsp
#-----------------------------------------------------------------------------
%description
The '%{name}' project aims to create a full featured, interoperable, Open
Source implementation of the ITU H.323 teleconferencing protocol that
can be used by personal developers and commercial users without
charge 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/asn/*.h
%{_includedir}/%{name}/codec/*.h
%{_includedir}/%{name}/iax2/*.h
%{_includedir}/%{name}/im/*.h
%{_includedir}/%{name}/lids/*.h
%{_includedir}/%{name}/%{name}/*.h
%{_includedir}/%{name}/h323/*.h
%{_includedir}/%{name}/h460/*.h
%{_includedir}/%{name}/rtp/*.h
%{_includedir}/%{name}/sip/*.h
%{_includedir}/%{name}/t120/*.h
%{_includedir}/%{name}/t38/*.h
%{_includedir}/%{name}/zrtp/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}-%{version}/codecs/audio/*.so
%{_libdir}/%{name}-%{version}/codecs/video/*.so

#=============================================================================
%prep
%setup -q
%patch 0 -p1

#-----------------------------------------------------------------------------
%build
aclocal
autoconf
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--enable-plugins				\
	--enable-sip					\
	--enable-video					\
	--disable-libavcodec				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags} 

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*_s.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
